TableParams.Builder (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.schema

## Class TableParams.Builder

- java.lang.Object
- - org.apache.cassandra.schema.TableParams.Builder

- Enclosing class:
    TableParams

      public static final class TableParams.Builder
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Double` | `crcCheckChance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TableParams.Builder` | `bloomFilterFpChance(double val)`
    `TableParams` | `build()`
    `TableParams.Builder` | `caching(CachingParams val)`
    `TableParams.Builder` | `cdc(boolean val)`
    `TableParams.Builder` | `comment(java.lang.String val)`
    `TableParams.Builder` | `compaction(CompactionParams val)`
    `TableParams.Builder` | `compression(CompressionParams val)`
    `TableParams.Builder` | `crcCheckChance(double val)`
    `TableParams.Builder` | `dcLocalReadRepairChance(double val)`
    `TableParams.Builder` | `defaultTimeToLive(int val)`
    `TableParams.Builder` | `extensions(java.util.Map<java.lang.String,java.nio.ByteBuffer> val)`
    `TableParams.Builder` | `gcGraceSeconds(int val)`
    `TableParams.Builder` | `maxIndexInterval(int val)`
    `TableParams.Builder` | `memtableFlushPeriodInMs(int val)`
    `TableParams.Builder` | `minIndexInterval(int val)`
    `TableParams.Builder` | `readRepairChance(double val)`
    `TableParams.Builder` | `speculativeRetry(SpeculativeRetryParam val)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### crcCheckChance

          public java.lang.Double crcCheckChance

  - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### build

          public TableParams build()

    - #### comment

          public TableParams.Builder comment(java.lang.String val)

    - #### readRepairChance

          public TableParams.Builder readRepairChance(double val)

    - #### dcLocalReadRepairChance

          public TableParams.Builder dcLocalReadRepairChance(double val)

    - #### bloomFilterFpChance

          public TableParams.Builder bloomFilterFpChance(double val)

    - #### crcCheckChance

          public TableParams.Builder crcCheckChance(double val)

    - #### gcGraceSeconds

          public TableParams.Builder gcGraceSeconds(int val)

    - #### defaultTimeToLive

          public TableParams.Builder defaultTimeToLive(int val)

    - #### memtableFlushPeriodInMs

          public TableParams.Builder memtableFlushPeriodInMs(int val)

    - #### minIndexInterval

          public TableParams.Builder minIndexInterval(int val)

    - #### maxIndexInterval

          public TableParams.Builder maxIndexInterval(int val)

    - #### speculativeRetry

          public TableParams.Builder speculativeRetry(SpeculativeRetryParam val)

    - #### caching

          public TableParams.Builder caching(CachingParams val)

    - #### compaction

          public TableParams.Builder compaction(CompactionParams val)

    - #### compression

          public TableParams.Builder compression(CompressionParams val)

    - #### cdc

          public TableParams.Builder cdc(boolean val)

    - #### extensions

          public TableParams.Builder extensions(java.util.Map<java.lang.String,java.nio.ByteBuffer> val)

Copyright © 2018 The Apache Software Foundation